Bug 191107 - [Maintainer] devel/m17n-db: update to 1.6.5, cleanup, incorporate textproc/m17n-contrib
Summary: [Maintainer] devel/m17n-db: update to 1.6.5, cleanup, incorporate textproc/m1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 21:50 UTC by Nikola Lečić
Modified: 2014-06-18 12:20 UTC (History)
2 users (show)

See Also:


Attachments
m17n-db-1.6.5.diff (13.26 KB, patch)
2014-06-16 21:50 UTC, Nikola Lečić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Lečić 2014-06-16 21:50:46 UTC
Created attachment 143851 [details]
m17n-db-1.6.5.diff

Log:
 * update to 1.6.5; the new version incorporates textproc/m17n-contrib
 * CATEGORIES+=textproc in all m17n-related ports
 * post-patch addition to install tbl2mim.awk to ${PREFIX}/bin, as
   textproc/m17n-contrib did
 * files/patch-tbl2mim.awk from textproc/m17n-contrib
 * post-install action to install .png files to icons/ (needed for normal
   operation). This new version lacks Makefile in icons/, so it was much
   simpler just to move icons than to patch existing Makefile targets
 * fix custom PREFIX installation with files/patch-configure (the port didn't
   install NLS stuff with custom PREFIX)
 * update pkg-descr
NEW FILE:
 files/patch-tbl2mim.awk

***NOTE TO THE COMMITTER***
Since 1.6.5, m17n-db incorporates textproc/m17n-contrib. Therefore we need to
 * delete textproc/m17n-contrib
 * add the following entries to UPDATING and MOVED:

UPDATING:

20140616:
  AFFECTS: users of devel/m17n-* textproc/*m17n*
  AUTHOR: Nikola Lecic <nikola.lecic@anthesphoria.net>

  devel/m17n-db now incorporates a set of user-contributed input methods and
  a conversion script, formerly available through textproc/m17n-contrib.
  Delete textproc/m17n-contrib first and then update/install devel/m17n-db.

MOVED:

textproc/m17n-contrib|devel/m17n-db|2014-06-16|m17n-contrib was incorporated into m17n-db
Comment 1 commit-hook freebsd_committer 2014-06-17 15:47:26 UTC
A commit references this bug:

Author: miwi
Date: Tue Jun 17 15:47:14 UTC 2014
New revision: 358134
URL: http://svnweb.freebsd.org/changeset/ports/358134

Log:
  - UPdate to 1.6.5
  - Strip binary
  - Update Categorie
  - Update WWW

  PR:		191107

Changes:
  head/devel/m17n-db/Makefile
  head/devel/m17n-db/distinfo
  head/devel/m17n-db/files/patch-configure
  head/devel/m17n-db/files/patch-tbl2mim.awk
  head/devel/m17n-db/pkg-descr
  head/devel/m17n-db/pkg-plist
Comment 2 Nikola Lečić 2014-06-17 16:15:42 UTC
Hi Martin,

This PR needs several more actions (described in the previous comment below ***NOTE TO THE COMMITTER***): you should delete another port and add entries to UPRADING and MOVED.
Comment 3 commit-hook freebsd_committer 2014-06-18 02:07:14 UTC
A commit references this bug:

Author: miwi
Date: Wed Jun 18 02:06:39 UTC 2014
New revision: 358199
URL: http://svnweb.freebsd.org/changeset/ports/358199

Log:
  - Remove textproc/m17n-contrib was incorporated into m17n-db

  PR:		191107

Changes:
  head/MOVED
  head/UPDATING
  head/textproc/Makefile
  head/textproc/m17n-contrib/
Comment 4 Martin Wilke freebsd_committer 2014-06-18 02:07:23 UTC
Hi Nikola,

Sorry I really overlooked, I have committed those changes.
Comment 5 Nikola Lečić 2014-06-18 12:20:38 UTC
No problem. :) Thanks much.